declare module '@ember/template-compilation' {
  import type { TemplateFactory } from '@glimmer/interfaces';
  export { compile as compileTemplate } from 'ember-template-compiler';
  interface CommonOptions {
    moduleName?: string;
  }
  interface LooseModeOptions extends CommonOptions {
    strictMode?: false;
  }
  interface StrictModeOptions extends CommonOptions {
    strictMode: true;
    scope: () => Record<string, unknown>;
  }
  interface PrecompileTemplate {
    (templateString: string, options?: LooseModeOptions): TemplateFactory;
    (templateString: string, options: StrictModeOptions): TemplateFactory;
  }
  export let precompileTemplate: PrecompileTemplate;
}
